# DI/OT Igloo2-based Radiation-tolerant System Board

DI/OT Igloo2-based Radiation-tolerant System Board, currently at the schematics design stage.
[More info at the Wiki page](https://ohwr.org/project/diot-sb-igl/wikis/home)

How to build ?
--------------

1) Clone
2) Also clone submodules
   git submodule update --init
3) Be sure to have hdlmake >= 3.4dev
   (See https://ohwr.org/project/hdl-make.git, use branch develop)
4) Build bitstream, you need liberoSoc > 2021
   cd diot-sb-gl/hdl/syn/diot_hydra2
   hdlmake
   make
   (You might need to update the constraints and not reserve probe pins,
    and not enforce package compatibility).
4b) Optionaly, use libero GUI:
   hdlmake
   make project
   libero
5) Be sure to have gcc for risc-v
   Could be installed from:
     https://ohwr.org/project/wrpc-sw/wikis/Documents/Project-Attachments
   (Clink on riscv-11.2-small.tgz)
6) Build the embedded software:
   cd diot-sb-gl/sw/fip_urv
   make
7) In order to flash, you need to build the envm project.
   cd diot-sb-gl/hdl/syn/envm
   There is a TCL script to be run by libero.
   Then you need to configure the envm to enable flash and add the
   fip_urv.mem file into the flash
8) Flash the bitstream
   and the envm.
