action = "synthesis"
target="libero"

syn_family = "IGLOO2"
syn_device = "M2GL090T"
syn_grade = "STD"
syn_package = "FG676"
syn_project = "diot_hydra2"

top_module = "diot_hydra2_top"
syn_tool = "liberosoc"
project_opt = "-adv_options {RESTRICTPROBEPINS:0} -adv_options {RESERVEMIGRATIONPINS:0}"

files = ['../../top/diot_hydra2/diot_hydra2_periph.vhd',
	 'igl2_periph_sb_HPMS.vhd',
	 'igl2_periph_sb.vhd',
	 'igl2_periph.vhd',
         'user.sdc', 'top_io.pdc', 'user.pdc']

modules = { "local" : [ "../../top/diot_hydra2"],
            "system": [ "smartfusion2" ] }
