/* Shared memory between mgmt and app cpu.
   Size is 1KB, max message length is 124,
   so 8 messages, 4 by directions.

   Mailboxes are used to control shmem usage.
   Mailbox format:
    7- 0: read slot (initialy 0).
   15- 8: write slot (initialy 0).
   31-16: not used

   To write a message:
   1. If (local write slot + 1) mod N == peer read slot, no free slot; discard
   2. Copy the message to write slot
   3. Increase write slot.

   To read a message:
   1. If local read slot == peer write slot, no message to read.
   2. Copy the message from local read slot
   3. Increase local read slot
*/
